Package Details: tmux-git 7917_3.0.r22.g2db9a183-1

Git Clone URL: https://aur.archlinux.org/tmux-git.git (read-only)
Package Base: tmux-git
Description: A terminal multiplexer
Upstream URL: https://github.com/tmux/tmux/wiki
Licenses: BSD
Conflicts: tmux
Provides: tmux
Submitter: None
Maintainer: WorMzy
Last Packager: WorMzy
Votes: 49
Popularity: 0.55
First Submitted: 2010-03-18 21:59
Last Updated: 2019-08-19 22:57

Dependencies (4)

Required by (47)

Sources (2)

Pinned Comments

WorMzy commented on 2017-05-12 08:23

Please don't flag out-of-date just because the version listed is not current -- this is a -git package with a pkgver function, the version you build will always be current. Flag the package out-of-date if the build process changes, or upstream stop developing on the master branch, or the repository moves, etc..

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

rpodgorny commented on 2015-02-07 22:59

ok, great! thanks for the info!

WorMzy commented on 2015-02-07 22:45

I added a commented depends line to the PKGBUILD, uncomment it to add libutempter to the depends array of the generated package tarball.

However, I'd recommend that you build in a clean chroot, especially if you're distributing packages across multiple machines.

https://wiki.archlinux.org/index.php/DeveloperWiki:Building_in_a_Clean_Chroot

rpodgorny commented on 2015-02-07 22:42

ah, interesting! anyway, is there a sane way to automatically add it as dependency when built with it?

the problem is, i use one machine to build stuff and lots of others (with different setups) to install to.

WorMzy commented on 2015-02-07 22:30

Rebuild the package without libutempter installed, and you'll find that it's not a hard dependency.

However, I'll add it as an opt-depends.

rpodgorny commented on 2015-02-07 21:45

please add libutempter as a dep or else:

tmux: error while loading shared libraries: libutempter.so.0: cannot open shared object file: No such file or directory

...thanks!

WorMzy commented on 2013-10-10 16:30

Just a heads up for anyone receiving notifications for this package: I've updated the PKGBUILD to take advantage of pacman 4.1 VCS features, and modified the way that the version is defined. If you are relying on a AUR helper to find updates to your AUR packages, this update will probably be regarded as a downgrade and be omitted from the list of updates. Please download the new PKGBUILD and rebuild manually.

Thanks.

arielp commented on 2013-05-07 23:34

Want a PKGBUILD using the new pacman 4.1 VCS functions?

http://ix.io/5wy

dkorzhevin commented on 2013-05-03 11:21

Package updated, thanks WorMzy

WorMzy commented on 2013-03-20 14:44

Please replace "../../LICENSE" with "${srcdir}/LICENSE", the former currently fails if you're building in a clean chroot (e.g. with devtools from extra). Cheers.

dkorzhevin commented on 2013-03-01 09:47

Thank you, PKGBUILD updated